petsc-3.4.2 2013-07-02

# PetscRandomType

String with the name of a PETSc randomizer

### Synopsis

    typedef const char* PetscRandomType;
    #define PETSCRAND       "rand"
    #define PETSCRAND48     "rand48"
    #define PETSCSPRNG      "sprng"

Notes: to use the SPRNG you must have ./configure PETSc with the option --download-sprng

### See Also

PetscRandomSetType(), PetscRandom, PetscRandomCreate()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages